TTF_SetFontSizeDPI(3)

NAME
TTF_SetFontSizeDPI - Set font size dynamically with target resolutions, in dots per inch.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetFontSizeDPI(TTF_Font *font, float ptsize, int hdpi, int vdpi);

DESCRIPTION
This updates any TTF_Text
 objects using this font, and clears already-generated glyphs, if any, from the cache.

FUNCTION PARAMETERS

font
    the font to resize.

ptsize
    the new point size.

hdpi
    the target horizontal DPI.

vdpi
    the target vertical DPI.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetFontSize(3), •(3), TTF_GetFontSizeDPI(3)